package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.BigAmtServiceTimeProvider;
import com.ynet.life.sujrb.util.ServiceTimeChecker;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CheckServiceDateAction.class */
public class CheckServiceDateAction extends LifeAction {
    private String dateField;
    private String flagField;
    private String bankIdField;
    private String transferChannelField;

    public String execute(Context context) throws GENEException {
        String transferChannel = (String) context.getDataValue(this.transferChannelField);
        String bankId = (String) context.getDataValue(this.bankIdField);
        if (transferChannel == null || "".equals(transferChannel)) {
            throw new TranFailException("NE0001", "'转账渠道域不能为空'");
        }
        if (bankId == null || "".equals(bankId)) {
            throw new TranFailException("NE0001", "'机构号域不能为空'");
        }
        context.put(this.flagField, "0");
        if (transferChannel.equals("3") || transferChannel.equals("5")) {
            String date = LifeStandard.getServerTime("yyyyMMdd");
            if (this.dateField != null && this.dateField.length() > 0) {
                date = (String) context.get(this.dateField);
            }
            if (!new ServiceTimeChecker(new BigAmtServiceTimeProvider()).isWorkDate(date, bankId)) {
                context.put(this.flagField, "1");
                return "0";
            }
            return "0";
        }
        return "0";
    }

    public void setFlagField(String flagField) {
        this.flagField = flagField;
    }

    public void setDateField(String dateField) {
        this.dateField = dateField;
    }
}
